package net.t2code.t2codelib.SPIGOT.newLanguageFileBuilder;


import java.util.List;

public interface T2CconfigItemLanguages {
    /**
     * Returns the path of the option for the config
     *
     * @return Config path of the option
     */
    String getPath();

    /**
     * Returns the default value of the option and, after reading the config, the value from the config
     *
     * @return Value of the option
     */
    Object getValue();

    List<T2ClanguageObject> getLanguage();


    /**
     * Set the description of the option here, the '# ' is automatically set in front of it
     */
    List<String> getComments();


    /**
     * This @void is used to reset the value of @getValue()
     */
    default void setValue(Object newValue) {

    }
}
